require "./lib/apocrodentia"
require "test/unit"

class TestDiscoverable < Test::Unit::TestCase 
  def setup
    @discoverable = AR::Game::PhysicalObject.new    
    @discoverable.noun = "Thing"
    @test_data = {article: "My", definite_article: "My", noun: "Shindig", discovery_threshold: 10}
  end

  def test_discoverable_can_resolve_name 
    assert_equal "a Thing", @discoverable.name
  end

end
